<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      autoReload="true">

	<targets>
		<target name="logfile" xsi:type="File"
                layout="${longdate} [${threadname:whenEmpty=${threadid}}] ${level:uppercase=true:padding=-5} ${logger}:${message} ${exception:format=ToString,StackTrace}"
                fileName="${specialfolder:folder=LocalApplicationData}/Philips Speech/PSPLOG/PSPLogConfigTool/PSPLogConfigTool.log"
                keepFileOpen="true"
                concurrentWrites="true"
                archiveFileName="${specialfolder:folder=LocalApplicationData}/Philips Speech/PSPLOG/PSPLogConfigTool/PSPLogConfigTool.{##}.log"
                archiveEvery="Day"
                archiveNumbering="DateAndSequence"
                archiveDateFormat="yyyyMMdd"
                maxArchiveFiles="30"
                />
	</targets>

	<rules>
		<logger name="*" minlevel="Error" writeTo="logfile" />
	</rules>
</nlog>
